use nu_plugin::{Plugin, PluginCommand};

mod commands;
mod once;

pub use commands::*;
pub use once::OncePlugin;

impl Plugin for OncePlugin {
    fn version(&self) -> String {
        env!("CARGO_PKG_VERSION").into()
    }

    fn commands(&self) -> Vec<Box<dyn PluginCommand<Plugin = Self>>> {
        // This is a list of all of the commands you would like Nu to register when your plugin is
        // loaded.
        //
        // If it doesn't appear on this list, it won't be added.
        vec![
            Box::new(Main),
            Box::new(Scenario),
            Box::new(ScenarioDeploy)
        ]
    }
}
